Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Text einfügen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Text einfügen (633 mal gelesen)
Burschii
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Burschii an!   Senden Sie eine Private Message an Burschii  Schreiben Sie einen Gästebucheintrag für Burschii

Beiträge: 15
Registriert: 06.01.2007

erstellt am: 07. Jan. 2007 17:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
unwissender benötige ein Tool um einzeilgen Text einzugeben, dessen Einfügepunkt und Winkel über Cursor bestimmt wird
Dieser sollte halt nur auf einen bestimmten Layer und die Farbe usw. von Layer haben.
Desweitern sollte die Texthöhe(3.5) x Maßstab gewählt werden. Der Maßstab wird in einem anderen Tool eingegeben.
Habe hier schon rumgestöbert aber nichts gefunden.

Wäre dankbar wenn mir da jemand weiter helfen könnte

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ex-Mitglied
Burschii
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Burschii an!   Senden Sie eine Private Message an Burschii  Schreiben Sie einen Gästebucheintrag für Burschii

Beiträge: 15
Registriert: 06.01.2007

erstellt am: 07. Jan. 2007 17:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Tja, so fit bin ich in ACAD schon.
Sollte schon über Lisp laufen um die Arbeitsgänge für Eigenschaften zu sparen!!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ex-Mitglied
CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

.

erstellt am: 07. Jan. 2007 19:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Burschii 10 Unities + Antwort hilfreich

hmm.. Weihnachten ist doch vorbei ..!! Und "Wünschdirwastag" ist eigenlich auch nicht!   
..ansonsten mal ein Anfang zum weiterbasteln..
(progn
(setq MASSTAB 2.0)
(setq LAYER "TEXT")
(setq THOEHE 3.5)
(setq FARBE "5")
(command "_-layer" "_m" "TEXT" "")
(setvar "CECOLOR" FARBE)
(command "_dtext" pause (* THOEHE MASSTAB) pause)
(while (/= 0 (getvar "cmdactive")) (command pause))
)

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Burschii
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Burschii an!   Senden Sie eine Private Message an Burschii  Schreiben Sie einen Gästebucheintrag für Burschii

Beiträge: 15
Registriert: 06.01.2007

erstellt am: 08. Jan. 2007 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das war doch schon wie  Weihnachten für mich!!!
Das bekam ja selbst ich hin. Zumindest erfüllt es seinen Zweck.
Vielen Dank!


(defun c:Text35 ()
 
(setq LAYER "STAHLBAU-TEXT 3.5")
(setq THOEHE 3.5)

(command "_-layer" "_m" "STAHLBAU-TEXT 3.5" "")
(setvar "CECOLOR" "bylayer")
(setvar "celtype" "bylayer")
(setvar "textstyle" "ISO")

(command "_dtext" pause (* THOEHE meritko) pause)
(while (/= 0 (getvar "cmdactive")) (command pause))
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de